import { BaseCustomWebComponentConstructorAppend } from "@node-projects/base-custom-webcomponent";
type DataObject = {
    value: number;
    label: number | string;
};
type DataArray = [value: number, label: number | string];
type Data = DataObject | DataArray;
export declare class ChartJsWebcomponent extends BaseCustomWebComponentConstructorAppend {
    #private;
    static readonly style: CSSStyleSheet;
    static readonly template: HTMLTemplateElement;
    static readonly is = "node-projects-chart-js";
    static properties: {
        data: ObjectConstructor;
        borderColor: StringConstructor;
        backgroundColor: StringConstructor;
    };
    get data(): Data[];
    set data(value: Data[]);
    get borderColor(): string;
    set borderColor(value: string);
    get backgroundColor(): string;
    set backgroundColor(value: string);
    constructor();
    ready(): void;
}
export {};
